Skip to main content
POST

Authorizations

Authorization
string
header
required

Your organisation's API key, sent as Authorization: my_api_key. The key can also be passed as an api_key query parameter. See Authentication.

Body

application/json
people
object[]
required

An array of user objects whereby each user must include a user_name attribute denoting the unique id of the user to be created or updated.

Maximum array length: 100
send_invitations
enum<string>

Whether to send invitation emails. "new" sends them only to newly created people, "all" sends them to everyone in the batch, and "no" (or leaving out this field) sends none.

Available options:
new,
all,
no

Response

Batch results

created
integer

Number of users created

updated
integer

Number of users updated

unchanged
integer

Number of users unchanged

enrolled
integer

Number of enrolments made

invitations_sent
integer

Number of invitation emails sent

invitations_failed
integer

Number of invitation emails that failed

errors
integer

Number of errors. 0 if there are no errors

error_list
object[]

One entry per error. Enrolment errors have only an error_reason